Bug 57142 - [Qt] Change TextureMapperVideoLayer to TextureMapperMediaLayer
Summary: [Qt] Change TextureMapperVideoLayer to TextureMapperMediaLayer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P4 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-03-25 23:29 PDT by Kwang Yul Seo
Modified: 2011-03-28 23:32 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.54 KB, patch)
2011-03-25 23:32 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff
Patch (5.20 KB, patch)
2011-03-28 02:39 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2011-03-25 23:29:01 PDT
[Qt] Build fix: Add ENABLE(VIDEO) guards around texture mapper.
Comment 1 Kwang Yul Seo 2011-03-25 23:32:11 PDT
Created attachment 87012 [details]
Patch
Comment 2 Benjamin Poulain 2011-03-26 12:38:54 PDT
Comment on attachment 87012 [details]
Patch

Stricto sensu, the media content type is video or composited plugin. For me, it looks like the real fix is to change TextureMapperVideoLayer to a TextureMapperMediaLayer where plugins are supported. Alternatively, add a new type for Plugin.
No'am, any comment?
Comment 3 Kwang Yul Seo 2011-03-28 02:39:27 PDT
Created attachment 87119 [details]
Patch
Comment 4 Benjamin Poulain 2011-03-28 04:37:18 PDT
Comment on attachment 87119 [details]
Patch

The changes in /texmap/ look correct to me. 

The change in the Qt implementation does not because of this:
    class TextureMapperVideoLayerQt : public virtual TextureMapperMediaLayer
-> the Qt layer is limited to video.

I still r+ because this is improving texture mapper and fixing the Qt layer is a separate problem. But please open a new bug for having a correct implementation of TextureMapperMediaLayer for Qt.
Comment 5 WebKit Commit Bot 2011-03-28 23:30:51 PDT
The commit-queue encountered the following flaky tests while processing attachment 87119 [details]:

fast/workers/storage/use-same-database-in-page-and-workers.html bug 50995 (author: dumi@chromium.org)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2011-03-28 23:32:52 PDT
Comment on attachment 87119 [details]
Patch

Clearing flags on attachment: 87119

Committed r82199: <http://trac.webkit.org/changeset/82199>
Comment 7 WebKit Commit Bot 2011-03-28 23:32:57 PDT
All reviewed patches have been landed.  Closing bug.